/* Whole Layout */
.each-blog-layout {
  display: grid;
  grid-template-columns: 1fr 320px;
  gap: 30px;
  margin: 30px 0;
  position: relative;
  flex-wrap: wrap;
  row-gap: 30px;
}

/* Whole Content */
.each-blog-layout .each-right {
  padding: 20px;
  background-color: var(--secondary);
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  row-gap: 15px;
  border: 1px solid var(--grey220);
}

.each-blog-layout .each-right ul {
  list-style-position: inside;
  text-align: justify;
}

.each-blog-layout .each-right p {
  text-align: justify;
}

.each-blog-layout .each-right img {
  width: 100%;
  border-radius: 8px;
}

.each-blog-layout .each-right h1 {
  text-align: center;
  margin-top: 10px;
  color: var(--primary);
}

.blog-meta {
  display: flex;
  padding: 5px 0px;
  gap: 20px;
  border-bottom: 1px solid var(--primary);
}

.blog-meta div {
  display: flex;
  gap: 5px;
  font-size: 12px;
  color: var(--primary);
}

/* Sidebar */
.each-blog-layout .each-left {
  border: 1px solid var(--grey220);
  padding: 20px;
  background-color: var(--secondary);
  border-radius: 8px;
  height: fit-content;
  position: sticky;
  top: 50px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.each-blog-layout .each-left .title {
  display: flex;
  justify-content: center;
  gap: 5px;
  align-items: center;
  color: var(--primary);
  font-weight: bold;
}

.newest-blog-layout {
  display: flex;
  gap: 10px;
  margin-top: 20px;
  align-items: center;
  width: fit-content;
}

.newest-blog-layout .newest-blog-image {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.newest-blog-layout .blog-data p {
  font-size: 14px;
}

.newest-blog-layout .blog-data div {
  font-size: 12px;
  color: var(--primary);
}

.main-newest-blog {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

/* Whole Layout Responsive */
@media (max-width: 992px) {
  .breadcrumb-links {
    text-align: center;
    font-size: 12px;
  }

  .each-blog-layout {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }

  .each-blog-layout .each-left {
    max-width: 500px;
    margin: auto;
    width: 100%;
  }
}
